<packet name="MacroUpdate">
	<version number="1">
		<u8 name="number">
		<str8 name="name">
		<str8 name="command">
		<u16 name="icon">
	</version>
	<version number="546">
		<u8 name="number">
		<str8 name="name">
		<u8 name="macro_count">
		<array name="macro_array" count="var:macro_count">
			<str16 name="command">
		</array>
		<u16 name="icon">
	</version>
	<version number="562">
		<u8 name="number">
		<str8 name="name">
		<u8 name="macro_count">
		<array name="macro_array" count="var:macro_count">
			<str16 name="command">
		</array>
		<u16 name="icon">
		<u16 name="unknown2">
		<u32 name="unknown3">
		<u32 name="unknown4">
	</version>
</packet>